/* Pounding heart animation */

@keyframes pound {
    50% { transform: scale(1.4); }
}

.animation {
    position: absolute;
    z-index: -1;
    margin-top: -30px;
}

.hor {
    margin-top: 150px;
    transform: translateY(-50%);
}

.sqr {
    width: 75px;
    height: 75px;
    display: inline-block;
    font-size: 90px;
    color: #e00;
    animation: pound 1s infinite;
    transform-origin: center;
    float: left;
    opacity: .3;
    padding: 0px;
    z-index: -1;
}

body { text-align: center; }

#b, #f {
    position: fixed;
    z-index: 2;
}

#b {
    z-index: 0;
    background: linear-gradient(to right, rgba(0,0,0,1) 2%, rgba(17,17,17,1) 20%, rgba(43,43,43,1) 50%, rgba(28,28,28,1) 80%, rgba(19,19,19,1) 100%);
}

body {
    background-color: black;
    font-family: "Lucida Console", Monaco, monospace
}

#game, #settings, #settings-4, #settings-2 {
    display: none;
    z-index: 3;
    width: 470px;
    float: left;
}

h1 {
    width: 200px;
    margin-bottom: 10px;
    margin-left: 50%;
    text-align: center;
    transform: translateX(-50%);
}


button {
    background-color: white;
    margin-top: 20px;
    padding: 10px;
}

label {
    float: left;
    width: 100px;
    margin: 4px;
}



#r, #settings {
    position: fixed;
    height: 300px;
    width: 600px;
    padding: 10px;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    color: white;

}

#mute {
    background: rgba(0, 0, 0);
    color: white;
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-300px, -140px);
    z-index: 10;
}

.v > input, .v, .v > select {
    float: right;
    width: 300px;
}

.p {
    clear: both;
    z-index: 10px;
}

.p, #register {
    margin: 10px;
}

#play {
    float: right;
    width: 100px;
    margin-top: 100px;
}

#register {
    width: 100px;
    z-index: 10;
}

.p input, .p select:not([class*=cs]), button {
    background-color: black;
    color: white;
    margin: 4px;
}

.p select:disabled, .p input:disabled {
    color: darkgray;
}

.cs {
    width: 30px;
    height: 30px;
}

.blue {
    background-color: blue;
}

.crimson {
    background-color: crimson;
}

.darkgreen {
    background: darkgreen;
}

.darkorange {
    background: darkorange;
}

.darkslateblue {
    background: darkslateblue;
}

.darkturquoise {
    background: darkturquoise;
}

.hotpink {
    background: hotpink;
}

.indigo {
    background: indigo;
}

